BITCOIN-TX(1)

NAME
bitcoin-tx - manual page for bitcoin-tx v24.1.0rc1

SYNOPSIS
bitcoin-tx [options] <hex-tx> [commands] Update hex-encoded bitcoin transaction
bitcoin-tx [options] -create [commands] Create hex-encoded bitcoin transaction

DESCRIPTION
Bitcoin Core bitcoin-tx utility version v24.1.0rc1

OPTIONS

-?

    Print this help message and exit

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

-version

    Print version and exit

Debugging/Testing options:

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, signet, regtest

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the test chain. Equivalent to -chain=test.

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT(:SEQUENCE_NUMBER)

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outdata=[VALUE:]DATA

    Add data-based output to TX

    outmultisig=VALUE:REQUIRED:PUBKEYS:PUBKEY1:PUBKEY2:....[:FLAGS]

    Add Pay To n-of-m Multi-sig output to TX. n = REQUIRED, m = PUBKEYS. Optionally add the "W" flag to produce a pay-to-witness-script-hash output. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outpubkey=VALUE:PUBKEY[:FLAGS]

    Add pay-to-pubkey output to TX. Optionally add the "W" flag to produce a pay-to-witness-pubkey-hash output. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outscript=VALUE:SCRIPT[:FLAGS]

    Add raw script output to TX. Optionally add the "W" flag to produce a pay-to-witness-script-hash output. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    replaceable(=N)

    Set RBF opt-in sequence number for input N (if not provided, opt-in all available inputs)

    sign=SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransactionwithkey docs for format of sighash flags, JSON objects.

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
Copyright (C) 2009-2022 The Bitcoin Core developers Please contribute if you find Bitcoin Core useful. Visit <https://bitcoincore.org/> for further information about the software. The source code is available from <https://github.com/bitcoin/bitcoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>